.TH ftpcloudfs 8
.SH NAME
ftpcloudfs \- FTP interface to Rackspace Cloud Files and OpenStack Object Storage
.SH SYNOPSIS
.B ftpcloudfs [\fIOPTIONS\fR]

.SH DESCRIPTION
.B ftpcloudfs

FTP\-CloudFS is an FTP server acting as a proxy to Rackspace Cloud Files or to
OpenStack Object Storage (Swift). It allows you to connect via any FTP client
to do upload/download or create containers. It supports pseudo\-hierarchical
folders/directories as described in the Rackspace Cloud Files API and the
OpenStack Object Storage API.

.SH OPTIONS
.LP
\-h, \-\-help
.IP
show this help message and exit

.LP
\-p \fIPORT\fR, \-\-port=\fIPORT\fR
.IP
Port to bind the server default: 2021.

.LP
\-b \fIBIND_ADDRESS\fR, \-\-bind\-address=\fIBIND_ADDRESS\fR
.IP
Address to bind by default: 127.0.0.1.

.LP
\-\-workers=\fIWORKERS\fR
.IP
Number of workers to use default: 1.

.LP
\-\-memcache=\fIMEMCACHE\fR
.IP
Memcache server(s) to be used for cache (ip:port).

.LP
\-a \fIAUTHURL\fR, \-\-auth\-url=\fIAUTHURL\fR
.IP
Auth URL for alternate providers(eg OpenStack)

.LP
\-v, \-\-verbose
.IP
Be verbose on logging.

.LP
\-s, \-\-service\-net
.IP
Connect via Rackspace ServiceNet network.

.LP
\-f, \-\-foreground
.IP
Do not attempt to daemonize but run in foreground.

.LP
\-l \fILOG_FILE\fR, \-\-log\-file=\fILOG_FILE\fR
.IP
Log File: Default stdout when in foreground

.LP
\-\-syslog
.IP
Enable logging to the system logger (daemon facility).

.LP
\-\-pid\-file=\fIPID_FILE\fR
.IP
Pid file location when in daemon mode.

.LP
\-\-uid=\fIUID\fR
.IP
UID to drop the privilege to when in daemon mode
.LP
\-\-gid=\fIGID\fR
.IP
GID to drop the privilege to when in daemon mode

.SH AUTHORS
"Juan J. Martinez" <juan@memset.com>
